export declare class AndroidPluginConfigGenerator {
    static fromPath(p: string): AndroidPluginConfigGenerator;
    readonly root: string;
    readonly files: string[];
    private readonly excludedDirectoriesRe;
    private readonly exclusions;
    private constructor();
    generateConfig({ revolveBuildGradlePath, resolveDependencyVersion, }: {
        revolveBuildGradlePath: (buildGradlePaths: string[]) => Promise<string>;
        resolveDependencyVersion: (dependency: string) => Promise<string>;
    }): Promise<any>;
    get doesPluginSupportAndroid(): boolean;
    getDependenciesFromBuildGradle(p: string, resolveDependencyVersion: (dependency: string) => Promise<string>): Promise<any[]>;
    generatePluginSource(): Promise<{
        content: string;
        filename: string;
    }>;
    findReactPackageImplementations(): Promise<{
        file: string;
        packageName: string;
        className: string;
    }[]>;
    getPackageDeclarationFromSource(source: string): string | null;
    getClassNameFromSource(source: string): string | null;
    hasNoArgumentConstructor(source: string, className: string): boolean;
    hasCustomConstructors(source: string, className: string): boolean;
    get gradlePaths(): string[];
    get androidManifestPaths(): string[];
}
