import { PackagePath } from './PackagePath';
import { PackageManager } from './PackageManager';
export declare class BaseMiniApp {
    readonly path: string;
    readonly packageJson: any;
    readonly packagePath: PackagePath;
    constructor({ miniAppPath, packagePath, }: {
        miniAppPath: string;
        packagePath: PackagePath;
    });
    get name(): string;
    getUnscopedModuleName(moduleName: string): string;
    get normalizedName(): string;
    get pascalCaseName(): string;
    get scope(): string | void;
    get version(): string;
    get platformVersion(): string;
    get packageDescriptor(): string;
    get packageManager(): PackageManager;
    isPublishedToNpm(): Promise<boolean>;
    getPackageJsonDependencies(): PackagePath[];
}
