export declare class BundleStoreSdk {
    readonly host: string;
    constructor(host: string);
    createStore({ store }: {
        store: string;
    }): Promise<string>;
    getStoreByAccessKey({ accessKey, }: {
        accessKey: string;
    }): Promise<{
        id: string;
    }>;
    deleteStoreByAccessKey({ accessKey }: {
        accessKey: string;
    }): Promise<{
        id: string;
    }>;
    uploadBundle({ accessKey, bundlePath, platform, sourceMapPath, store, }: {
        accessKey: string;
        bundlePath: string;
        platform: string;
        sourceMapPath: string;
        store: string;
    }): Promise<string>;
    uploadAssets(zipPath: string): Promise<void>;
    assetsDelta(assets: string[]): Promise<string[]>;
}
