"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BundleStoreSdk = void 0;
const fs = __importStar(require("fs"));
const got_1 = __importDefault(require("got"));
const form_data_1 = __importDefault(require("form-data"));
const getGotCommonOpts_1 = require("./getGotCommonOpts");
class BundleStoreSdk {
    constructor(host) {
        this.host = host;
    }
    async createStore({ store }) {
        var _a, _b;
        try {
            const res = await got_1.default
                .post(`http://${this.host}/stores/${store}`, {
                ...(0, getGotCommonOpts_1.getGotCommonOpts)(),
            })
                .json();
            return res.accessKey;
        }
        catch (err) {
            throw new Error((_b = (_a = err.response) === null || _a === void 0 ? void 0 : _a.text) !== null && _b !== void 0 ? _b : err.message);
        }
    }
    async getStoreByAccessKey({ accessKey, }) {
        var _a, _b;
        try {
            const res = await got_1.default
                .get(`http://${this.host}/stores`, {
                ...(0, getGotCommonOpts_1.getGotCommonOpts)(),
                searchParams: {
                    query: `accessKey=${accessKey}`,
                },
            })
                .json();
            return res.id;
        }
        catch (err) {
            throw new Error((_b = (_a = err.response) === null || _a === void 0 ? void 0 : _a.text) !== null && _b !== void 0 ? _b : err.message);
        }
    }
    async deleteStoreByAccessKey({ accessKey }) {
        var _a, _b;
        try {
            const storeId = await this.getStoreByAccessKey({ accessKey });
            await got_1.default.delete(`http://${this.host}/stores/${storeId}`, {
                ...(0, getGotCommonOpts_1.getGotCommonOpts)(),
                headers: {
                    'ERN-BUNDLE-STORE-ACCESS-KEY': accessKey,
                },
            });
            return storeId;
        }
        catch (err) {
            throw new Error((_b = (_a = err.response) === null || _a === void 0 ? void 0 : _a.text) !== null && _b !== void 0 ? _b : err.message);
        }
    }
    async uploadBundle({ accessKey, bundlePath, platform, sourceMapPath, store, }) {
        var _a, _b;
        try {
            const bundleFileRs = fs.createReadStream(bundlePath);
            const sourceMapFileRs = fs.createReadStream(sourceMapPath);
            const form = new form_data_1.default();
            form.append('bundle', bundleFileRs);
            form.append('sourcemap', sourceMapFileRs);
            const res = await got_1.default.post(`http://${this.host}/bundles/${store}/${platform}`, {
                ...(0, getGotCommonOpts_1.getGotCommonOpts)(),
                body: form,
                headers: {
                    'ERN-BUNDLE-STORE-ACCESS-KEY': accessKey,
                },
            });
            return JSON.parse(res.body).id;
        }
        catch (err) {
            throw new Error((_b = (_a = err.response) === null || _a === void 0 ? void 0 : _a.text) !== null && _b !== void 0 ? _b : err.message);
        }
    }
    async uploadAssets(zipPath) {
        var _a, _b;
        try {
            const zippedAssetsFileRs = fs.createReadStream(zipPath);
            const form = new form_data_1.default();
            form.append('assets', zippedAssetsFileRs);
            await got_1.default.post(`http://${this.host}/assets`, {
                ...(0, getGotCommonOpts_1.getGotCommonOpts)(),
                body: form,
            });
        }
        catch (err) {
            throw new Error((_b = (_a = err.response) === null || _a === void 0 ? void 0 : _a.text) !== null && _b !== void 0 ? _b : err.message);
        }
    }
    async assetsDelta(assets) {
        var _a, _b;
        try {
            const res = await got_1.default.post(`http://${this.host}/assets/delta`, {
                ...(0, getGotCommonOpts_1.getGotCommonOpts)(),
                json: { assets },
            }).json;
            return res;
        }
        catch (err) {
            throw new Error((_b = (_a = err.response) === null || _a === void 0 ? void 0 : _a.text) !== null && _b !== void 0 ? _b : err.message);
        }
    }
}
exports.BundleStoreSdk = BundleStoreSdk;
//# sourceMappingURL=BundleStoreSdk.js.map