export interface CodePushPackageInfo {
    appVersion?: string;
    description?: string;
    isDisabled?: boolean;
    isMandatory?: boolean;
    label?: string;
    packageHash?: string;
    rollout?: number;
}
export interface CodePushReleaseInfo {
    blobUrl: string;
    originalLabel: string;
    originalDeployment: string;
    releasedBy: string;
    releaseMethod: string;
    size: number;
    uploadTime: number;
}
export interface CodePushInitConfig {
    accessKey: string;
    customHeaders?: {
        [headerName: string]: string;
    };
    customServerUrl?: string;
    proxy?: string;
}
export type CodePushPackage = CodePushPackageInfo & CodePushReleaseInfo;
export default class CodePushSdk {
    private readonly codePush;
    constructor(initConfig: CodePushInitConfig);
    releaseReact(appName: string, deploymentName: string, filePath: string, targetBinaryVersion: string, updateMetadata: CodePushPackageInfo, disableDuplicateReleaseError?: boolean): Promise<CodePushPackage | void>;
    promote(appName: string, sourceDeploymentName: string, destinationDeploymentName: string, updateMetadata: CodePushPackageInfo, disableDuplicateReleaseError?: boolean): Promise<CodePushPackage | void>;
    patch(appName: string, deploymentName: string, updateMetadata: CodePushPackageInfo): Promise<CodePushPackage>;
}
