/// <reference types="node" />
import { BinaryStore } from './BinaryStore';
import { AppVersionDescriptor } from './descriptors';
import fs from 'fs-extra';
export declare class ErnBinaryStore implements BinaryStore {
    private readonly config;
    constructor(config: any);
    addBinary(descriptor: AppVersionDescriptor, binaryPath: fs.PathLike, { flavor, }?: {
        flavor?: string;
    }): Promise<void>;
    removeBinary(descriptor: AppVersionDescriptor, { flavor, }?: {
        flavor?: string;
    }): Promise<void>;
    getBinary(descriptor: AppVersionDescriptor, { flavor, outDir, }?: {
        flavor?: string;
        outDir?: string;
    }): Promise<string>;
    hasBinary(descriptor: AppVersionDescriptor, { flavor, }?: {
        flavor?: string;
    }): Promise<boolean>;
    getZippedBinary(descriptor: AppVersionDescriptor, { flavor, }?: {
        flavor?: string;
    }): Promise<string>;
    urlToBinary(descriptor: AppVersionDescriptor, { flavor, }?: {
        flavor?: string;
    }): string;
    zipBinary(descriptor: AppVersionDescriptor, binaryPath: fs.PathLike, { flavor, }?: {
        flavor?: string;
    }): Promise<string>;
    unzipBinary(descriptor: AppVersionDescriptor, zippedBinaryPath: string, { flavor, outDir, }?: {
        flavor?: string;
        outDir?: string;
    }): Promise<string>;
    buildZipBinaryFileName(descriptor: AppVersionDescriptor, { flavor, }?: {
        flavor?: string;
    }): string;
    buildNativeBinaryFileName(descriptor: AppVersionDescriptor, { flavor, }?: {
        flavor?: string;
    }): string;
    getNativeBinaryFileExt(platformName: string): "app" | "apk";
    throwIfNoBinaryExistForDescriptor(descriptor: AppVersionDescriptor, { flavor, }?: {
        flavor?: string;
    }): Promise<void>;
}
