import { PackagePath } from './PackagePath';
import { LocalManifest } from './LocalManifest';
export default class GitManifest extends LocalManifest {
    readonly repoLocalPath: string;
    readonly repoRemotePath?: string | undefined;
    readonly remote?: string;
    readonly branch?: string;
    private readonly git;
    private hasSynced;
    constructor(repoLocalPath: string, repoRemotePath?: string | undefined, { branch, remote }?: {
        branch: string;
        remote: string;
    });
    sync(): Promise<void>;
    /**
     * We only sync once during a whole "session"
     * (in our context : "an ern command exection")
     * This is done to speed up things as during a single command execution,
     * multiple manifest access can be performed.
     * If you need to access a `Manifest` in a different context, a long session,
     *  you might want to improve the code to act a bit smarter.
     */
    syncIfNeeded(): Promise<void>;
    getManifest(): Promise<any>;
    hasManifestId(manifestId: string): Promise<boolean>;
    getManifestData({ manifestId, platformVersion, }?: {
        manifestId?: string;
        platformVersion?: string;
    }): Promise<any | void>;
    getPluginConfigurationPath(plugin: PackagePath, platformVersion?: string): Promise<string | void>;
}
