export declare class HermesCli {
    private readonly hermesPath;
    static fromVersion(version: string): Promise<HermesCli>;
    private static workingDir;
    static get hermesVersion(): string;
    static get hermesBinaryName(): string;
    static get hermesModulePath(): string;
    static get platformDirectory(): string;
    constructor(hermesPath: string);
    compileDebugBundle({ jsBundlePath, outputBundlePath, }: {
        jsBundlePath: string;
        outputBundlePath?: string;
    }): Promise<{
        hermesBundlePath: string;
    }>;
    compileReleaseBundle({ bundleSourceMapPath, compositePath, jsBundlePath, outputBundlePath, }: {
        bundleSourceMapPath?: string;
        compositePath: string;
        jsBundlePath: string;
        outputBundlePath?: string;
    }): Promise<{
        compilerSourceMapPath?: string;
        hermesBundlePath: string;
        packagerSourceMapPath?: string;
    }>;
    run({ args }: {
        args: string[];
    }): Promise<void>;
}
