"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NpmCli = void 0;
const childProcess_1 = require("./childProcess");
const log_1 = __importDefault(require("./log"));
class NpmCli {
    constructor(binaryPath = 'npm') {
        this.binaryPath = binaryPath;
    }
    async install({ dependencyPath, dev, peer, } = {}) {
        const cmd = dependencyPath
            ? `install ${dependencyPath.toString()} ${dev ? '--save-dev' : '--save-exact'}`
            : 'install';
        return this.runNpmCommand(cmd);
    }
    async update(dependencyPath) {
        const cmd = `update ${dependencyPath.toString()}`;
        return this.runNpmCommand(cmd);
    }
    async init() {
        const cmd = `init --yes`;
        return this.runNpmCommand(cmd);
    }
    async runNpmCommand(command) {
        const cmd = `${this.binaryPath} ${command}`;
        log_1.default.debug(`[runNpmCommand] Running ${cmd}`);
        return (0, childProcess_1.execp)(cmd);
    }
}
exports.NpmCli = NpmCli;
//# sourceMappingURL=NpmCli.js.map