/// <reference types="node" />
import { PackagePath } from './PackagePath';
export type PackageManagerType = 'npm' | 'yarn';
export declare class PackageManager {
    readonly type: PackageManagerType;
    static npm(): PackageManager;
    static yarn(): PackageManager;
    private readonly yarnCli;
    private readonly npmCli;
    constructor(type: PackageManagerType);
    add(dependencyPath: PackagePath, { dev, peer, }?: {
        dev?: boolean;
        peer?: boolean;
    }): Promise<string | Buffer>;
    init(): Promise<string | Buffer>;
    install(): Promise<string | Buffer>;
    upgrade(dependencyPath: PackagePath): Promise<string | Buffer>;
}
