import { NativePlatform } from './NativePlatform';
export default class Platform {
    static get rootDirectory(): string;
    static get packagesCacheDirectory(): string;
    static get cauldronDirectory(): string;
    static get localCauldronsDirectory(): string;
    static get masterManifestDirectory(): string;
    static get overrideManifestDirectory(): string;
    static get versionCacheDirectory(): string;
    static get containerPublishersCacheDirectory(): string;
    static get containerTransformersCacheDirectory(): string;
    static get containerGenDirectory(): string;
    static getContainerGenOutDirectory(platform: NativePlatform): string;
    static get latestVersion(): string;
    static get currentPlatformVersionPath(): string;
    static get currentVersion(): string;
    static isPlatformVersionAvailable(version: string): boolean;
    static getRootPlatformVersionPath(version: string): string;
    static isPlatformVersionInstalled(version: string): boolean;
    static getPlatformVersionPath(version: string): string;
    static get versions(): string[];
    static installPlatform(version: string): void;
    static uninstallPlatform(version: string): void;
    static switchToVersion(version: string): void;
    static normalizeVersion(version: string): string;
    static isYarnInstalled(): boolean;
    static isCocoaPodsInstalled(): boolean;
}
