export interface BundlingResult {
    assetsPath: string;
    platform: string;
    dev: boolean;
    bundlePath: string;
    sourceMapPath?: string;
    isHermesBundle?: boolean;
}
export default class ReactNativeCli {
    private readonly binaryPath;
    constructor(binaryPath?: string);
    init(projectName: string, rnVersion: string, { skipInstall, template, }?: {
        skipInstall?: boolean;
        template?: string;
    }): Promise<string>;
    bundle({ entryFile, dev, bundleOutput, assetsDest, platform, workingDir, sourceMapOutput, resetCache, }: {
        entryFile: string;
        dev: boolean;
        bundleOutput: string;
        assetsDest: string;
        platform: string;
        workingDir?: string;
        sourceMapOutput?: string;
        resetCache?: boolean;
    }): Promise<BundlingResult>;
    startPackager({ cwd, host, port, resetCache, }?: {
        cwd?: string;
        host?: string;
        port?: string;
        resetCache?: boolean;
    }): void;
    startPackagerInNewWindow({ cwd, host, port, resetCache, provideModuleNodeModules, }?: {
        cwd?: string;
        host?: string;
        port?: string;
        resetCache?: boolean;
        provideModuleNodeModules?: string[];
    }): Promise<void>;
    darwinStartPackagerInNewWindow({ cwd, args, }: {
        cwd?: string;
        args?: string[];
    }): Promise<void>;
    linuxStartPackageInNewWindow({ cwd, args, }: {
        cwd?: string;
        args?: string[];
    }): Promise<void>;
    windowsStartPackagerInNewWindow({ cwd, args, }: {
        cwd?: string;
        args?: string[];
    }): Promise<void>;
    createStartPackagerScript({ cwd, args, scriptFileName, }: {
        cwd: string;
        args: string[];
        scriptFileName: string;
    }): Promise<string>;
    isPackagerRunning(host: string, port: string): Promise<boolean>;
}
