"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SourceMapStoreSdk = void 0;
const fs = __importStar(require("fs"));
const got_1 = __importDefault(require("got"));
const form_data_1 = __importDefault(require("form-data"));
const getGotCommonOpts_1 = require("./getGotCommonOpts");
class SourceMapStoreSdk {
    constructor(host) {
        this.host = host;
    }
    createSourceMapForm(sourceMapPath) {
        const sourceMapRs = fs.createReadStream(sourceMapPath);
        const form = new form_data_1.default();
        form.append('sourcemap', sourceMapRs);
        return form;
    }
    async uploadCodePushSourceMap({ descriptor, deploymentName, label, sourceMapPath, }) {
        var _a, _b;
        try {
            const form = this.createSourceMapForm(sourceMapPath);
            await got_1.default.post(`http://${this.host}/sourcemaps/codepush/${descriptor.name}/${descriptor.platform}/${descriptor.version}/${deploymentName}/${label}`, { ...(0, getGotCommonOpts_1.getGotCommonOpts)(), body: form });
        }
        catch (err) {
            throw new Error((_b = (_a = err.response) === null || _a === void 0 ? void 0 : _a.text) !== null && _b !== void 0 ? _b : err.message);
        }
    }
    async copyCodePushSourceMap({ descriptor, deploymentName, label, toVersion, toDeploymentName, toLabel, }) {
        var _a, _b;
        try {
            await got_1.default.post(`http://${this.host}/sourcemaps/codepush/copy/${descriptor.name}/${descriptor.platform}/${descriptor.version}/${deploymentName}/${label}/${toVersion}/${toDeploymentName}/${toLabel}`, (0, getGotCommonOpts_1.getGotCommonOpts)());
        }
        catch (err) {
            throw new Error((_b = (_a = err.response) === null || _a === void 0 ? void 0 : _a.text) !== null && _b !== void 0 ? _b : err.message);
        }
    }
    async uploadContainerSourceMap({ descriptor, containerVersion, sourceMapPath, }) {
        var _a, _b;
        try {
            const form = this.createSourceMapForm(sourceMapPath);
            await got_1.default.post(`http://${this.host}/sourcemaps/container/${descriptor.name}/${descriptor.platform}/${descriptor.version}/${containerVersion}`, { ...(0, getGotCommonOpts_1.getGotCommonOpts)(), body: form });
        }
        catch (err) {
            throw new Error((_b = (_a = err.response) === null || _a === void 0 ? void 0 : _a.text) !== null && _b !== void 0 ? _b : err.message);
        }
    }
}
exports.SourceMapStoreSdk = SourceMapStoreSdk;
//# sourceMappingURL=SourceMapStoreSdk.js.map