export declare const DEFAULT_ANDROID_GRADLE_PLUGIN_VERSION = "7.0.4";
export declare const DEFAULT_ANDROIDX_APPCOMPACT_VERSION = "1.1.0";
export declare const DEFAULT_ANDROIDX_LIFECYCLE_EXTENSIONS_VERSION = "2.1.0";
export declare const DEFAULT_BUILD_TOOLS_VERSION = "31.0.0";
export declare const DEFAULT_COMPILE_SDK_VERSION = "31";
export declare const DEFAULT_GRADLE_DISTRIBUTION_VERSION = "7.3.3";
export declare const DEFAULT_JSC_VARIANT = "android-jsc";
export declare const DEFAULT_KOTLIN_VERSION = "1.6.10";
export declare const DEFAULT_MIN_SDK_VERSION_PRE_RN64 = "19";
export declare const DEFAULT_MIN_SDK_VERSION_POST_RN64 = "21";
export declare const DEFAULT_SUPPORT_LIBRARY_VERSION = "28.0.0";
export declare const DEFAULT_TARGET_SDK_VERSION = "30";
export declare const DEFAULT_SOURCE_COMPATIBILITY = "VERSION_1_8";
export declare const DEFAULT_TARGET_COMPATIBILITY = "VERSION_1_8";
export interface AndroidResolvedVersions {
    androidGradlePlugin: string;
    androidxAppcompactVersion: string;
    androidxLifecycleExtrnsionsVersion: string;
    buildToolsVersion: string;
    compileSdkVersion: string;
    gradleDistributionVersion: string;
    kotlinVersion: string;
    minSdkVersion: string;
    reactNativeAarVersion: string;
    sourceCompatibility: string;
    supportLibraryVersion: string;
    targetCompatibility: string;
    targetSdkVersion: string;
}
export declare function resolveAndroidVersions({ androidGradlePlugin, androidxAppcompactVersion, androidxLifecycleExtrnsionsVersion, buildToolsVersion, compileSdkVersion, gradleDistributionVersion, kotlinVersion, minSdkVersion, reactNativeAarVersion, sourceCompatibility, supportLibraryVersion, targetCompatibility, targetSdkVersion, reactNativeVersion, }?: {
    androidGradlePlugin?: string;
    androidxAppcompactVersion?: string;
    androidxLifecycleExtrnsionsVersion?: string;
    buildToolsVersion?: string;
    compileSdkVersion?: string;
    gradleDistributionVersion?: string;
    kotlinVersion?: string;
    minSdkVersion?: string;
    reactNativeAarVersion?: string;
    sourceCompatibility?: string;
    supportLibraryVersion?: string;
    targetCompatibility?: string;
    targetSdkVersion?: string;
    reactNativeVersion?: string;
}): AndroidResolvedVersions;
export declare function runAndroidProject({ activityName, launchFlags, packageName, projectPath, }: {
    activityName?: string;
    launchFlags?: string;
    packageName: string;
    projectPath: string;
}): Promise<void>;
export declare function runAndroidApk({ activityName, apkPath, launchFlags, packageName, }: {
    activityName?: string;
    apkPath: string;
    launchFlags?: string;
    packageName: string;
}): Promise<void>;
export declare function runAndroid({ activityName, apkPath, launchFlags, packageName, projectPath, }: {
    activityName: string;
    apkPath?: string;
    launchFlags?: string;
    packageName: string;
    projectPath?: string;
}): Promise<void>;
export declare function askUserToSelectAvdEmulator(): Promise<string>;
export declare function runAndroidUsingAvdImage({ activityName, apkPath, launchFlags, avdImageName, packageName, projectPath, }: {
    activityName: string;
    apkPath?: string;
    avdImageName: string;
    launchFlags?: string;
    packageName: string;
    projectPath?: string;
}): Promise<void>;
export declare function installAndLaunchApp({ activityName, apkPath, launchFlags, packageName, projectPath, }: {
    activityName: string;
    apkPath?: string;
    launchFlags?: string;
    packageName: string;
    projectPath?: string;
}): Promise<void>;
export declare function waitForAndroidDevice(): Promise<void>;
export declare function androidGetBootAnimProp(): Promise<string>;
export declare function buildAndInstallApp(projectPath: string): Promise<string>;
export declare function getGradleByPlatform(): string;
export declare function launchAndroidActivity(packageName: string, activityName: string): Promise<string>;
export declare function launchAndroidActivityDetached(packageName: string, activityName: string, { launchFlags }?: {
    launchFlags?: string;
}): void;
export declare function getAndroidAvds(): Promise<string[]>;
export declare function getDevices(): Promise<string[]>;
export declare function installApk(pathToApk: string): Promise<string>;
export declare function androidSdkRoot(): string | undefined;
export declare function androidAdbPath(): string;
export declare function androidEmulatorPath(): string;
/**
 * Returns the default Hermes engine (hermes-engine) package version used by a given React Native version.
 * Only works for versions of RN >= 0.60.0 as hermes-engine package was introduced in this version.
 */
export declare function getDefaultHermesVersion(reactNativeVersion: string): string | never;
/**
 * Returns the default JavaScriptCore engine version used
 * by a given React Native version.
 * Only works for versions of RN >= 0.60.0 as dynamic jsc-android
 * package was introduced in this version.
 */
export declare function getDefaultJSCVersion(reactNativeVersion: string): string | never;
