"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.bugsnagUpload = void 0;
const createProxyAgent_1 = require("./createProxyAgent");
const log_1 = __importDefault(require("./log"));
const kax_1 = __importDefault(require("./kax"));
const bugsnag = __importStar(require("bugsnag-sourcemaps"));
async function bugsnagUpload({ apiKey, minifiedFile, minifiedUrl, projectRoot, sourceMap, uploadNodeModules, uploadSources, }) {
    const agent = (0, createProxyAgent_1.createProxyAgentFromErnConfig)('bugsnagProxy', { https: true });
    const codeBundleId = process.env.ERN_BUGSNAG_CODE_BUNDLE_ID;
    const bugsnagOptions = {
        addWildcardPrefix: true,
        agent,
        apiKey,
        codeBundleId,
        minifiedFile,
        minifiedUrl,
        projectRoot,
        sourceMap,
        uploadNodeModules,
        uploadSources,
    };
    log_1.default.trace(`[bugsnagUpload] options: ${JSON.stringify(bugsnagOptions, null, 2)}`);
    process.env.NODE_TLS_REJECT_UNAUTHORIZED = '0';
    await kax_1.default
        .task(`Uploading source map to Bugsnag (codeBundleId: ${codeBundleId})`)
        .run(bugsnag.upload(bugsnagOptions));
    delete process.env.NODE_TLS_REJECT_UNAUTHORIZED;
}
exports.bugsnagUpload = bugsnagUpload;
//# sourceMappingURL=bugsnagUpload.js.map