"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.reactnative = exports.yarn = void 0;
const ReactNativeCli_1 = __importDefault(require("./ReactNativeCli"));
const YarnCli_1 = require("./YarnCli");
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
exports.yarn = new YarnCli_1.YarnCli(getInternalBinaryPath('yarn'));
exports.reactnative = new ReactNativeCli_1.default(getInternalBinaryPath('react-native'));
function getInternalBinaryPath(binaryName) {
    const pathWhenInstalledWithYarn = path_1.default.resolve(__dirname, '../node_modules/.bin', binaryName);
    const pathWhenInstalledWithNpm = path_1.default.resolve(__dirname, '../../.bin', binaryName);
    if (fs_1.default.existsSync(pathWhenInstalledWithYarn)) {
        return pathWhenInstalledWithYarn;
    }
    else if (fs_1.default.existsSync(pathWhenInstalledWithNpm)) {
        return pathWhenInstalledWithNpm;
    }
    throw new Error(`Could not find ${binaryName} in ${pathWhenInstalledWithYarn} nor in ${pathWhenInstalledWithNpm}`);
}
//# sourceMappingURL=clients.js.map