"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LogLevel = void 0;
const kax_1 = __importDefault(require("./kax"));
var LogLevel;
(function (LogLevel) {
    LogLevel[LogLevel["Trace"] = 0] = "Trace";
    LogLevel[LogLevel["Debug"] = 1] = "Debug";
    LogLevel[LogLevel["Info"] = 2] = "Info";
    LogLevel[LogLevel["Warn"] = 3] = "Warn";
    LogLevel[LogLevel["Error"] = 4] = "Error";
    LogLevel[LogLevel["Off"] = 5] = "Off";
})(LogLevel = exports.LogLevel || (exports.LogLevel = {}));
class ColoredLog {
    constructor(level = LogLevel.Info) {
        this.loggers = {};
        this.setLogLevel(level);
    }
    setLogLevel(level) {
        this.pLevel = level;
        this.loggers = {
            debug: level <= LogLevel.Debug
                ? (msg) => kax_1.default.raw(msg)
                : () => this.noop(),
            error: level <= LogLevel.Warn
                ? (msg) => kax_1.default.error(msg)
                : () => this.noop(),
            info: level <= LogLevel.Info
                ? (msg) => kax_1.default.info(msg)
                : () => this.noop(),
            raw: level < LogLevel.Off
                ? (msg) => kax_1.default.raw(msg)
                : () => this.noop(),
            trace: level <= LogLevel.Trace
                ? (msg) => kax_1.default.raw(msg)
                : () => this.noop(),
            warn: level <= LogLevel.Warn
                ? (msg) => kax_1.default.warn(msg)
                : () => this.noop(),
        };
    }
    get level() {
        return this.pLevel;
    }
    raw(msg) {
        this.loggers.raw(msg);
    }
    trace(msg) {
        this.loggers.trace(msg);
    }
    debug(msg) {
        this.loggers.debug(msg);
    }
    info(msg) {
        this.loggers.info(msg);
    }
    warn(msg) {
        this.loggers.warn(msg);
    }
    error(msg) {
        this.loggers.error(msg);
    }
    noop() {
        // noop
    }
}
exports.default = ColoredLog;
//# sourceMappingURL=coloredLog.js.map