"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolveLocalErnRc = void 0;
const fs_extra_1 = __importDefault(require("fs-extra"));
const path_1 = __importDefault(require("path"));
function resolveLocalErnRc(dir) {
    let directory = dir || process.cwd();
    let prevDirectory;
    while (directory !== prevDirectory) {
        prevDirectory = directory;
        const pathToErnRc = path_1.default.join(directory, '.ernrc');
        if (fs_extra_1.default.existsSync(pathToErnRc)) {
            return pathToErnRc;
        }
        directory = path_1.default.dirname(directory);
    }
}
exports.resolveLocalErnRc = resolveLocalErnRc;
//# sourceMappingURL=resolveLocalErnRc.js.map