"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMiniAppsUsingNativeDependency = void 0;
const kax_1 = __importDefault(require("./kax"));
const MiniApp_1 = require("./MiniApp");
const lodash_1 = __importDefault(require("lodash"));
async function getMiniAppsUsingNativeDependency(miniAppsPaths, nativeDependency) {
    const result = [];
    const nativeDependencyString = nativeDependency.name;
    for (const miniAppPath of miniAppsPaths) {
        const miniApp = await kax_1.default
            .task(`Retrieving ${miniAppPath.toString()} for dependency lookup`)
            .run(MiniApp_1.MiniApp.fromPackagePath(miniAppPath));
        const miniAppNativeDependencies = await miniApp.getNativeDependencies();
        const miniAppNativeDependenciesStrings = lodash_1.default.map(miniAppNativeDependencies.all, (d) => d.name);
        if (miniAppNativeDependenciesStrings.includes(nativeDependencyString)) {
            result.push(miniApp);
        }
    }
    return result;
}
exports.getMiniAppsUsingNativeDependency = getMiniAppsUsingNativeDependency;
//# sourceMappingURL=dependencyLookup.js.map