"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.isExecutable = exports.chmodr = void 0;
const fs_1 = __importDefault(require("fs"));
const shell_1 = __importDefault(require("./shell"));
/**
 * Recursively apply file mode for a given path
 * @param fileMode
 * @param path
 */
function chmodr(fileMode, filePath) {
    shell_1.default.chmod('-R', fileMode, filePath);
}
exports.chmodr = chmodr;
/**
 * Check if a given file is executable
 * @param filePath Path to the file to check
 */
async function isExecutable(filePath) {
    return new Promise((resolve) => {
        fs_1.default.access(filePath, fs_1.default.constants.X_OK, (err) => {
            err ? resolve(false) : resolve(true);
        });
    });
}
exports.isExecutable = isExecutable;
//# sourceMappingURL=fileUtil.js.map