"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCodePushInitConfig = void 0;
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const config_1 = __importDefault(require("./config"));
function getCodePushInitConfig() {
    const codePushConfigFilePath = path_1.default.join(process.env.LOCALAPPDATA || process.env.HOME || '', '.code-push.config');
    let codePushInitConfig;
    if (fs_1.default.existsSync(codePushConfigFilePath)) {
        codePushInitConfig = JSON.parse(fs_1.default.readFileSync(codePushConfigFilePath, 'utf-8'));
    }
    else {
        codePushInitConfig = {
            accessKey: config_1.default.get('codePushAccessKey'),
            customHeaders: config_1.default.get('codePushCustomHeaders'),
            customServerUrl: config_1.default.get('codePushCustomServerUrl'),
            proxy: config_1.default.get('codePushProxy'),
        };
    }
    return codePushInitConfig;
}
exports.getCodePushInitConfig = getCodePushInitConfig;
//# sourceMappingURL=getCodePushInitConfig.js.map