"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getLocalIp = void 0;
const shell_1 = __importDefault(require("./shell"));
const os_1 = __importDefault(require("os"));
/**
 * Return the local machine ip returned by running
 * 'ipconfig getifaddr en0' command
 *
 * Only supported on Darwin and Linux
 * Will throw for Windows (implementation TBD if needed)
 */
function getLocalIp() {
    if (os_1.default.platform() === 'win32') {
        throw new Error('getLocalIp: Unsupported platform win32');
    }
    const getIpCmd = shell_1.default.exec('ipconfig getifaddr en0');
    if (getIpCmd.stdout) {
        return getIpCmd.stdout.trim();
    }
    else {
        throw new Error(`[code: ${getIpCmd.code} stderr: ${getIpCmd.stderr}]`);
    }
}
exports.getLocalIp = getLocalIp;
//# sourceMappingURL=getLocalIp.js.map