"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPackagePathsDiffs = void 0;
const lodash_1 = __importDefault(require("lodash"));
function getPackagePathsDiffs(a, b) {
    return {
        // In a but not in b
        added: lodash_1.default.differenceBy(a, b, 'basePath'),
        // In b but not in a
        removed: lodash_1.default.differenceBy(b, a, 'basePath'),
        // Different version in a v.s b
        updated: lodash_1.default.differenceWith(a, b, (aVal, bVal) => aVal.basePath === bVal.basePath && aVal.version !== bVal.version),
    };
}
exports.getPackagePathsDiffs = getPackagePathsDiffs;
//# sourceMappingURL=getPackagePathsDiffs.js.map