"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.gitApply = void 0;
const childProcess_1 = require("./childProcess");
const log_1 = __importDefault(require("./log"));
const shell_1 = __importDefault(require("./shell"));
async function gitApply({ patchFile, rootDir, }) {
    log_1.default.trace(`Applying ${patchFile} in ${rootDir}`);
    try {
        shell_1.default.pushd(rootDir);
        await (0, childProcess_1.execp)(`git apply ${patchFile}`);
    }
    finally {
        shell_1.default.popd();
    }
}
exports.gitApply = gitApply;
//# sourceMappingURL=gitApply.js.map