"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.injectReactNativeVersionKeysInObject = void 0;
const semver_1 = __importDefault(require("semver"));
function injectReactNativeVersionKeysInObject(object, reactNativeVersion) {
    return Object.assign(object, {
        RN_VERSION_GTE_45: semver_1.default.gte(reactNativeVersion, '0.45.0'),
        RN_VERSION_GTE_54: semver_1.default.gte(reactNativeVersion, '0.54.0'),
        RN_VERSION_GTE_59: semver_1.default.gte(reactNativeVersion, '0.59.0'),
        RN_VERSION_GTE_60_1: semver_1.default.gte(reactNativeVersion, '0.60.1'),
        RN_VERSION_GTE_61: semver_1.default.gte(reactNativeVersion, '0.61.0'),
        RN_VERSION_LT_54: semver_1.default.lt(reactNativeVersion, '0.54.0'),
        RN_VERSION_LT_58: semver_1.default.lt(reactNativeVersion, '0.58.0-rc.2'),
        RN_VERSION_LT_59: semver_1.default.lt(reactNativeVersion, '0.59.0'),
        RN_VERSION_LT_61: semver_1.default.lt(reactNativeVersion, '0.61.0'),
        reactNativeVersion,
    });
}
exports.injectReactNativeVersionKeysInObject = injectReactNativeVersionKeysInObject;
//# sourceMappingURL=injectReactNativeVersionKeysInObject.js.map