"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isPackagePublished = void 0;
const clients_1 = require("./clients");
const PackagePath_1 = require("./PackagePath");
async function isPackagePublished(packageName) {
    try {
        await clients_1.yarn.info(PackagePath_1.PackagePath.fromString(packageName), {
            field: 'versions',
        });
        return true;
    }
    catch (e) {
        // If the package name doesn't exist in the NPM registry, Do nothing
        // {"type":"error","data":"Received invalid response from npm."}
    }
    return false;
}
exports.isPackagePublished = isPackagePublished;
//# sourceMappingURL=isPackagePublished.js.map