"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.normalizeVersionsToSemver = void 0;
const lodash_1 = __importDefault(require("lodash"));
function normalizeVersionsToSemver(versions) {
    const validSemVerRe = /^\d+\.\d+.\d+.*/;
    const versionMissingPatchRe = /^(\d+\.\d+)(.*)/;
    const versionMissingMinorRe = /^(\d+)(.*)/;
    return lodash_1.default.map(versions, (v) => {
        if (validSemVerRe.test(v)) {
            return v;
        }
        else {
            if (versionMissingPatchRe.test(v)) {
                return v.replace(versionMissingPatchRe, '$1.0$2');
            }
            else if (versionMissingMinorRe.test(v)) {
                return v.replace(versionMissingMinorRe, '$1.0.0$2');
            }
            throw new Error(`${v} is not a valid version`);
        }
    });
}
exports.normalizeVersionsToSemver = normalizeVersionsToSemver;
//# sourceMappingURL=normalizeVersionsToSemver.js.map