"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.packageCache = void 0;
const FsCache_1 = require("./FsCache");
const clients_1 = require("./clients");
const config_1 = __importDefault(require("./config"));
const Platform_1 = __importDefault(require("./Platform"));
const shell_1 = __importDefault(require("./shell"));
const path_1 = __importDefault(require("path"));
const packageJsonFileUtils_1 = require("./packageJsonFileUtils");
/**
 * Singleton instance of a file system based cache dealing
 * with caching Packages
 */
exports.packageCache = new FsCache_1.FsCache({
    addObjectToCacheDirectory: async (obj, dirPath) => {
        try {
            shell_1.default.pushd(dirPath);
            await clients_1.yarn.init();
            await clients_1.yarn.add(obj);
            const packageJson = await (0, packageJsonFileUtils_1.readPackageJson)('.');
            const packageName = Object.keys(packageJson.dependencies)[0];
            shell_1.default.rm('package.json');
            shell_1.default.mv(path_1.default.join('node_modules', packageName, '*'), '.');
        }
        finally {
            shell_1.default.popd();
        }
    },
    maxCacheSize: config_1.default.get('max-package-cache-size'),
    objectToId: (obj) => obj.fullPath,
    rootCachePath: Platform_1.default.packagesCacheDirectory,
});
//# sourceMappingURL=packageCache.js.map