/**
 * Asynchronously reads a package.json file from a given directory
 * and returns the parsed object
 * @param p Path to the directory containing the package.json file
 */
export declare const readPackageJson: (p: string) => Promise<any>;
/**
 * Synchronously reads a package.json file from a given directory
 * and returns the parsed object
 * @param p Path to the directory containing the package.json file
 */
export declare const readPackageJsonSync: (p: string) => any;
/**
 * Asynchronously writes a package.json file to a given directory and
 * returns the full path to the file
 * @param p Path to the directory where to store the package.json file
 * @param content Content of package.json as an object
 */
export declare const writePackageJson: (p: string, content: any) => Promise<void>;
/**
 * Synchronously writes a package.json file to a given directory and
 * returns the full path to the file
 * @param p Path to the directory where to store the package.json file
 * @param content Content of package.json as an object
 */
export declare const writePackageJsonSync: (p: string, content: any) => void;
/**
 * Given a directory holding a package.json file, return the full path
 * to the package.json file
 * @param p Path to the directory containing the package.json
 */
export declare function getPathToPackageJson(p: string): string;
