import { PackagePath } from './PackagePath';
import { AnyAppDescriptor, AppNameDescriptor, AppPlatformDescriptor, AppVersionDescriptor } from './descriptors';
export declare function isPublishedToNpm(pkg: string | PackagePath): Promise<boolean>;
/**
 * Camelize name (parameter, property, method, etc)
 *
 * @param word string to be camelize
 * @param lowercaseFirstLetter lower case for first letter if set to true
 * @return camelized string
 */
export declare function camelize(word: string, lowercaseFirstLetter?: boolean): string;
/**
 * Split the camel case string
 *
 * @param camelCaseString
 * @returns {string}
 */
export declare function splitCamelCaseString(camelCaseString: string): string[];
export declare function getDefaultPackageNameForCamelCaseString(moduleName: string, moduleType?: string): string;
export declare function getModuleSuffix(moduleType: string): string;
export declare function getDefaultPackageNameForModule(moduleName: string, moduleType: string): string;
export declare function isDependencyOfType(dependency: PackagePath, types: string | string[]): Promise<boolean>;
export declare function isDependencyApiOrApiImpl(dependency: PackagePath): Promise<boolean>;
export declare function isDependencyApi(dependency: PackagePath): Promise<boolean>;
export declare function isDependencyApiImpl(dependency: PackagePath): Promise<boolean>;
export declare function getPackageName(pkg: PackagePath): Promise<string>;
export declare function isDependencyPathApiImpl(dependencyPath: string, type?: string): Promise<boolean>;
export declare function isDependencyPathJsApiImpl(dependencyPath: string): Promise<boolean>;
export declare function isDependencyPathNativeApiImpl(dependencyPath: string, type?: string): Promise<boolean>;
/**
 * Version of react-native dependency in manifest
 */
export declare function reactNativeManifestVersion({ manifestId, }?: {
    manifestId?: string;
}): Promise<string | undefined>;
export declare function isValidElectrodeNativeModuleName(name: string): boolean;
export declare function logErrorAndExitProcess(e: any, code?: number): void;
export declare function coerceToAppNameDescriptorArray(v: string | AnyAppDescriptor | (string | AnyAppDescriptor)[]): AppNameDescriptor[];
export declare function coerceToAppPlatformDescriptorArray(v: string | AppVersionDescriptor | AppPlatformDescriptor | (string | AppVersionDescriptor | AppPlatformDescriptor)[]): AppPlatformDescriptor[];
export declare function coerceToAnyAppDescriptorArray(v: string | AnyAppDescriptor | (string | AnyAppDescriptor)[]): AnyAppDescriptor[];
export declare function coerceToAppVersionDescriptorArray(v: string | AppVersionDescriptor | (string | AppVersionDescriptor)[]): AppVersionDescriptor[];
export declare function coerceToAppNameDescriptor(v: string | AnyAppDescriptor): AppNameDescriptor;
export declare function coerceToAppPlatformDescriptor(v: string | AppPlatformDescriptor | AppVersionDescriptor): AppPlatformDescriptor;
export declare function coerceToAppVersionDescriptor(v: string | AppVersionDescriptor): AppVersionDescriptor;
export declare function coerceToAnyAppDescriptor(v: string | AnyAppDescriptor): AnyAppDescriptor;
export declare function coerceToPackagePathArray(v: string | PackagePath | (string | PackagePath)[]): PackagePath[];
export declare function coerceToPackagePath(v: string | PackagePath): PackagePath;
export declare function isGitBranch(p: PackagePath): Promise<boolean>;
export declare function isGitTag(p: PackagePath): Promise<boolean>;
export declare function getCommitShaOfGitBranchOrTag(p: PackagePath): Promise<string>;
export declare function getCommitShaOfGitPackage(p: PackagePath): Promise<string | undefined>;
